Register
As a visitor, you can use this API to open an account (if registrations are open on that PeerTube instance). As an admin, you should use the dedicated User creation API instead.
Resend user verification link
Body
emailstringrequiredUser email
Response
successful operation
Resend verification link to registration request email
Body
emailstringrequiredRegistration email
Response
successful operation
Verify a user
Following a user registration, the new user will receive an email asking to click a link containing a secret. This endpoint can also be used to verify a new email set in the user account.
Body
verificationStringstring<url>requiredisPendingEmailbooleanParameters
Entity id
Response
successful operation
invalid verification string
user not found
Verify a registration email
Following a user registration request, the user will receive an email asking to click a link containing a secret.
Body
verificationStringstring<url>requiredParameters
Registration ID
Response
successful operation
invalid verification string
registration not found
Register a user
Signup has to be enabled and signup approval is not required
Body
usernameusernamerequiredimmutable name of the user, used to find or mention its actor
emailstring<email>requiredemail of the user, used for login or service communications
displayNamestringeditable name of the user, displayed in its representations
channelobjectchannel base information used to create the first channel of the user
signupClientstringpeertube-appPeerTube >= 9.0 Client used to sign up. If set, links of the verification and registration accepted emails make the web client propose to open this client
Response
successful operation
request error
user registration is not enabled, user limit is reached, registration is not allowed for the ip, requires approval or blocked by a plugin
a user with this username, channel name or email already exists
Request registration
Signup has to be enabled and require approval on the instance
Body
usernameusernamerequiredimmutable name of the user, used to find or mention its actor
emailstring<email>requiredemail of the user, used for login or service communications
displayNamestringeditable name of the user, displayed in its representations
channelobjectchannel base information used to create the first channel of the user
signupClientstringpeertube-appPeerTube >= 9.0 Client used to sign up. If set, links of the verification and registration accepted emails make the web client propose to open this client
registrationReasonstringrequiredreason for the user to register on the instance
Response
successful operation
request error or signup approval is not enabled on the instance
user registration is not enabled, user limit is reached, registration is not allowed for the ip or blocked by a plugin
a user or registration with this username, channel name or email already exists
Accept registration
Body
moderationResponsestringrequiredModeration response to send to the user
preventEmailDeliverybooleanSet it to true if you don't want PeerTube to send an email to the user
Parameters
Registration ID
Response
successful operation
Authorization
OAuth2oauth2Authenticating via OAuth requires the following steps:
- Have an activated account
- Generate an access token for that account at
/api/v1/users/token. - Make requests with the Authorization: Bearer <token> header
- Profit, depending on the role assigned to the account
Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.
Scopes: admin, moderator
Reject registration
Body
moderationResponsestringrequiredModeration response to send to the user
preventEmailDeliverybooleanSet it to true if you don't want PeerTube to send an email to the user
Parameters
Registration ID
Response
successful operation
Authorization
OAuth2oauth2Authenticating via OAuth requires the following steps:
- Have an activated account
- Generate an access token for that account at
/api/v1/users/token. - Make requests with the Authorization: Bearer <token> header
- Profit, depending on the role assigned to the account
Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.
Scopes: admin, moderator
Delete registration
Delete the registration entry. It will not remove the user associated with this registration (if any)
Parameters
Registration ID
Response
successful operation
Authorization
OAuth2oauth2Authenticating via OAuth requires the following steps:
- Have an activated account
- Generate an access token for that account at
/api/v1/users/token. - Make requests with the Authorization: Bearer <token> header
- Profit, depending on the role assigned to the account
Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.
Scopes: admin, moderator
List registrations
Parameters
startinteger>= 0queryOffset used to paginate results
countinteger[1, 100]15queryNumber of items to return
searchstringquerysortstring-createdAtcreatedAtstate-statequeryResponse
successful operation
Authorization
OAuth2oauth2Authenticating via OAuth requires the following steps:
- Have an activated account
- Generate an access token for that account at
/api/v1/users/token. - Make requests with the Authorization: Bearer <token> header
- Profit, depending on the role assigned to the account
Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.
Scopes: admin, moderator
